## ros-rolling-rosbridge-test-msgs 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbridge_test_msgs)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  msg/Num.msg
  msg/TestChar.msg
  msg/TestDurationArray.msg
  msg/TestHeaderArray.msg
  msg/TestHeader.msg
  msg/TestHeaderTwo.msg
  msg/TestTimeArray.msg
  msg/TestUInt8.msg
  msg/TestUInt8FixedSizeArray16.msg
  srv/AddTwoInts.srv
  srv/SendBytes.srv
  srv/TestArrayRequest.srv
  srv/TestEmpty.srv
  srv/TestMultipleRequestFields.srv
  srv/TestMultipleResponseFields.srv
  srv/TestNestedService.srv
  srv/TestRequestAndResponse.srv
  srv/TestRequestOnly.srv
  srv/TestResponseOnly.srv
  DEPENDENCIES builtin_interfaces geometry_msgs std_msgs
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-rolling-rosbridge-test-msgs (1.1.2-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 08:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.1.1-1focal) focal; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 08:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.1.0-1focal) focal; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosbridge-test-msgs
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-actionlib-msgs, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-builtin-interfaces, ros-rolling-diagnostic-msgs, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-stereo-msgs, ros-rolling-tf2-msgs, ros-rolling-trajectory-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-rolling-rosbridge-test-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclpy, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Message and service definitions used in internal tests for rosbridge packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rosbridge-test-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rosbridge-test-msgs 1.3.1

=== debian/changelog ===
ros-rolling-rosbridge-test-msgs (1.3.1-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 21 Oct 2022 07:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.3.0-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Aug 2022 07:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.2.0-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 20 May 2022 07:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.1.2-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jan 2022 08:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.1.1-2jammy) jammy; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 09 Dec 2021 08:00:00 -0000

ros-rolling-rosbridge-test-msgs (1.1.0-2jammy) jammy; urgency=high

  * Move msg/srv from rosapi and rosbridge_library into separate packages; enable Rolling in CI (#665 <https://github.com/RobotWebTools/rosbridge_suite/issues/665>)
  * Contributors: Jacob Bandes-Storch

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 22 Oct 2021 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-rosbridge-test-msgs
Section: misc
Priority: optional
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-actionlib-msgs <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-builtin-interfaces <!nocheck>, ros-rolling-diagnostic-msgs <!nocheck>, ros-rolling-example-interfaces <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-geometry-msgs <!nocheck>, ros-rolling-nav-msgs <!nocheck>, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs <!nocheck>, ros-rolling-std-msgs, ros-rolling-std-msgs <!nocheck>, ros-rolling-std-srvs <!nocheck>, ros-rolling-stereo-msgs <!nocheck>, ros-rolling-tf2-msgs <!nocheck>, ros-rolling-trajectory-msgs <!nocheck>, ros-rolling-visualization-msgs <!nocheck>, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-rolling-rosbridge-test-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclpy, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Message and service definitions used in internal tests for rosbridge packages.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
